<?php

namespace Drupal\prehome\StackMiddleware;

use Drupal\page_cache\StackMiddleware\PageCache;
use Symfony\Component\HttpFoundation\Request;

/**
 * Extends PageCache to include cookie value in the Cache ID.
 */
class CookiesPageCache extends PageCache {

  /**
   * {@inheritdoc}
   */
  protected function getCacheId(Request $request) {
    if (!isset($this->cid)) {
      $cid_parts = [
        $request->getSchemeAndHttpHost() . $request->getRequestUri(),
        $request->getRequestFormat(NULL),
        'prehome_' . $request->cookies->get('prehome_display_count', 0),
      ];

      $this->cid = implode(':', $cid_parts);
    }

    return $this->cid;
  }

}
